
Foreman - Bug #2428

despite being enabled in the configuration, libvirt is not being loaded in bundler_ext setups. 

04/24/2013 09:37 AM - Anonymous

Status: Closed   

Priority: Normal   

Assignee:    

Category: Packaging   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Due to explicit calls to Bundler to load libvirt bindings, the gem is not being loaded when rpm bundler_ext install is used (which

bypasses Bundler altogether).

Associated revisions

Revision 32bf6e02 - 04/26/2013 04:44 AM - Dmitri Dolguikh 

fixes #2428 - a workaround for an issue with SETTINGS[:libvirt] not being properly initialized in rpm environments

History

#1 - 04/24/2013 09:42 AM - Dominic Cleal

- Subject changed from despite being enabled in the configuration, libvirt is not being loaded in rpm setups.  to despite being enabled in the

configuration, libvirt is not being loaded in bundler_ext setups. 

- Category changed from Unattended installations to Packaging

#2 - 04/26/2013 04:44 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.2.0

- Assignee changed from Ohad Levy to Anonymous

https://github.com/theforeman/foreman/pull/520

#3 - 04/26/2013 05:32 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 32bf6e02a03f6d9dc38e58c8e084cd4977688d7d.
